---
title: RTCRtpSendParameters
slug: Web/API/RTCRtpSendParameters
tags:
  - API
  - Audio
  - Codec
  - Dictionary
  - Encoding
  - Media
  - RTCRtpSendParameters
  - RTCRtpSender
  - RTP
  - Reference
  - Settings
  - Video
  - WebRTC
  - WebRTC API
  - parameters
  - sender
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The WebRTC API's <code><strong>RTCRtpSendParameters</strong></code> dictionary is used to specify the parameters for an {{domxref("RTCRtpSender")}} when calling its {{domxref("RTCRtpSender.setParameters", "setParameters()")}} method.</span></p>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the properties below, <code>RTCRtpSendParameters</code> inherits the properties from the {{domxref("RTCRtpParameters")}} interface.</em></p>

<div id="property-list">
<dl>
 <dt>{{domxref("RTCRtpSendParameters.encodings", "encodings")}}</dt>
 <dd>An array of {{domxref("RTCRtpEncodingParameters")}} objects, each specifying the parameters for a single codec that could be used to encode the track's media.</dd>
 <dt>{{domxref("RTCRtpSendParameters.transactionId", "transactionId")}}</dt>
 <dd>A string containing a unique ID for the last set of parameters applied; this value is used to ensure that {{domxref("RTCRtpSender.setParameters", "setParameters()")}} can only be called to alter changes made by a specific previous call to {{domxref("RTCRtpSender.getParameters", "getParameters()")}}. Once this parameter is initially set, it cannot be changed.</dd>
</dl>

<h3 id="Obsolete_properties">Obsolete properties</h3>

<dl>
 <dt>{{domxref("RTCRtpSendParameters.degradationPreference", "degradationPreference")}} {{obsolete_inline}}</dt>
 <dd>Specifies the preferred way the WebRTC layer should handle optimizing bandwidth against quality in constrained-bandwidth situations; the value comes from the {{domxref("RTCDegradationPreference")}} enumerated string type, and the default is <code>balanced</code>.</dd>
 <dt>{{domxref("RTCRtpSendParameters,priority", "priority")}} {{obsolete_inline}}</dt>
 <dd>A string from the {{domxref("RTCPriorityType")}} enumerated type which indicates the encoding's priority. The default value is <code>low</code>.</dd>
</dl>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpsendparameters','RTCRtpSendParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpSendParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCRtpReceiveParameters")}} and {{domxref("RTCRtpReceiver.getParameters()")}}</li>
</ul>
